sl-modem (2.9.11~20110321-14) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Change Format URL to correct one
  * d/changelog: Remove trailing whitespaces

  [ أحمد المحمودي (Ahmed El-Mahmoudy) ]
  * Remove old transitional sl-modem-source target
  * Modify support_linux3.diff patch to support linux >3.
    Thanks to Ben Hutchings <ben@decadent.org.uk> (Closes: #916034)
  * Update standards version to 4.3.0, no changes needed
  * debian/control, debian/changelog: Remove empty lines
  * Bumped compat level to 12

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Wed, 02 Jan 2019 05:49:08 +0100

sl-modem (2.9.11~20110321-13) unstable; urgency=medium

  * sl-modem-daemon.{prerm,postinst}: check for invoke-rc.d using which
    instead of checking hard coded path
  * sl-modem-daemon.README.Debian: fix typo
  * debian/control: add lsb-base (>= 3.0-6) to sl-modem-daemon depends.
  * Redirect path checks to /dev/null
  * Update Vcs-* URIs
  * Updated standards version to 4.2.0
  * Switch to secure copyright format URL
  * Update copyright years
  * Bump compat level to 11
  * Switch to secure upstream URL
  * Use DEB_VERSION_UPSTREAM from /usr/share/dpkg/pkg-info.mk instead of
    parsing dpkg-parsechangelog
  * No need for priority field in sl-modem-source, implicitly setting it to
    optional.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Mon, 06 Aug 2018 17:09:48 +0200

sl-modem (2.9.11~20110321-12) unstable; urgency=medium

  * debian/control:
    + Fix kernel-headers-* dependencies and demote them to Recommends.
      Thanks to Ben Hutchings <ben@decadent.org.uk> (Closes: #728628)
    + Remove libc6-dev from sl-modem-dkms' dependencies (dkms should be
      enough)
  * debian/copyright: Update copyright years.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sat, 09 May 2015 18:27:36 +0200

sl-modem (2.9.11~20110321-11) unstable; urgency=medium

  * debian/sl-modem-daemon.init: Source /lib/lsb/init-functions in init
    script.
  * Added fix_perms.diff to fix module build failure against linux kernel 3.16
    (LP: #1362764)
  * debian/control: Bump Standards-Version to 3.9.6
  * Updated email address.
  * debian/copyright: Moved copyright paragraph for debian/* below the
    paragraph for *, to overcome a lintian issue.
  * Remove unused lintian override.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Fri, 24 Oct 2014 10:31:01 +0200

sl-modem (2.9.11~20110321-10) unstable; urgency=medium

  * Add Turkish translation.
    Thanks to Mert Dirik <mertdirik@gmail.com> (Closes: #757488)
  * Bump Standards-Version to 3.9.5
  * Update copyright years

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Sat, 09 Aug 2014 09:12:22 +0300

sl-modem (2.9.11~20110321-9) unstable; urgency=low

  * debian/sl-modem-source.prerm: Add dummy empty prerm script to work
    aroundupgrade failures from squeeze.
    Thanks to Andreas Beckmann <anbe@debian.org> (Closes: #707821)
  * Added remove__devinitdata.diff patch (also refreshed
    08_ungrab_winmodem.diff) to remove __devinitdata, as it is no longer
    needed, and it causes build failures on 3.8.x kernels.
    Thanks to Marvin Stodolsky <marvin.stodolsky@gmail.com>
  * debian/control:
    + Changed sl-modem-dkms Section to non-free/kernel
    + Remove obsolete DMUA field.
    + Bumped Standards-Version to 3.9.4
    + Use canonical URIs in VCS-* fields.
  * Build sl-modem-daemon for i386 arch only. amd64 users will need to enable
    multiarch & install sl-modem-daemon:i386
    (Closes: #709404, #710144)
  * debian/sl-modem-dkms.lintian-overrides: Removed spelling-error-in-binary
    lintian override, it is unused !
  * debian/sl-modem-source.lintian-overrides: Added lintian override for
    sl-modem-source's dummy empty prerm script

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Tue, 28 May 2013 22:57:20 +0200

sl-modem (2.9.11~20110321-8) unstable; urgency=low

  * debian/sl-modem-dkms.postinst: Guard rmmod with trailing '|| true'
    Thanks to Andreas Beckmann <debian@abeckmann.de> (Closes: #674005)
  * Check early if slmodemd was running (before probably stopping it in case
    of upgrades)
  * debian/copyright: Remove duplicate Copyright field.
  * Added use_CPPFLAGS.diff patch to use CPPFLAGS for building slmodemd.
  * debian/patches/clean_LFLAGs.diff: Rename LFLAGS to LDFLAGS

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Sat, 26 May 2012 22:09:24 +0200

sl-modem (2.9.11~20110321-7) unstable; urgency=low

  * Added Dutch debconf templates translation.
    Thanks to Jeroen Schot <schot@A-Eskwadraat.nl> (Closes: #654759)
  * debian/control:
    + Updated Standards-Version to 3.9.3
    + Set priority of sl-modem-source to extra.
  * Bumped compat level to 9
  * debian/copyright: Updated copyright format & years.
  * Rename sl-modem-source to sl-modem-dkms.
    Also added sl-modem-source as a dummy transitional package.
    (Closes: #656407)
  * Added Polish debconf translation.
    Thanks to Michał Kułach <michal.kulach@gmail.com> (Closes: #666780)
  * Automatic reformatting for PO files.
  * debian/rules: Remove -s switch from dh call, not needed anymore.
  * debian/*.lintian-overrides: Refresh lintian overrides for spelling errors.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Tue, 17 Apr 2012 17:16:00 +0200

sl-modem (2.9.11~20110321-6) unstable; urgency=low

  * debian/sl-modem-source.dkms: Conditionally build slamr for 32-bit archs
    only. This is possible since dkms.conf is actually sourced by a shell
    script. Thanks to Ben Hutchings <ben@decadent.org.uk>
  * debian/control: sl-modem-source is made available for amd64 arch

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Sat, 17 Dec 2011 09:29:13 +0200

sl-modem (2.9.11~20110321-5) unstable; urgency=low

  * Added Brazilian Portuguese debconf templates translation (Closes: #648844)
  * Added device_create_changes.diff patch to fix device_create call for linux
    kernel >= 2.6.27 (Closes: #651781)
  * Added arch64.diff patch to enhance architecture detection login in
    Makefile. Thanks to Ben Hutchings <ben@decadent.org.uk> (Closes: #651780)
  * debian/copyright: Updated copyright format & years.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Tue, 13 Dec 2011 20:21:32 +0200

sl-modem (2.9.11~20110321-4) unstable; urgency=low

  * Added support_linux3.diff patch to support for linux 3.x series in build
    system. (Closes: 641151)
    Thanks to Ben Hutchings <ben@decadent.org.uk>

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Mon, 12 Sep 2011 16:19:12 +0200

sl-modem (2.9.11~20110321-3) unstable; urgency=low

  * Added clean_LFLAGS.diff patch to remove logic for LFLAGS setting (just set
    it to -lasound2)

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Thu, 28 Jul 2011 14:27:47 +0200

sl-modem (2.9.11~20110321-2) unstable; urgency=low

  * Added support_multiarch.diff patch to support multiarch include dirs,
    since libc6 moved arch dependent headers to multiarch include directory.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Wed, 27 Jul 2011 19:25:59 +0200

sl-modem (2.9.11~20110321-1) unstable; urgency=low

  * New upstream release
  * Removed patches that got applied upstream: ioctl.diff, semaphore.diff
  * Refreshed autoload.diff patch
  * Bumped compat level to 8
  * debian/control: Bumped Standards-Version to 3.9.2, no changes needed
  * Use DKMS debhelper script
    + Renamed debian/dkms.conf.in to debian/sl-modem-source.dkms, also
      replaced #VERSION# with #MODULE_VERSION#
    + debian/control:
      - Added dkms >= 2.1.1.2-1~ to build-deps
      - Removed dkms from Recommends, since dh_dkms will add it to Depends.
    + debian/rules:
      - Use DKMS debhelper addon
      - override dh_dkms to invocate -V option.
    + Removed debian/sl-modem-source.prerm
    + debian/sl-modem-source.postinst: Removed DKMS invocation, as it will be
      added by dh_dkms.
  * debian/sl-modem-source.lintian-overrides: Updated path in override.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Thu, 14 Apr 2011 16:52:32 +0200

sl-modem (2.9.11~20100718-4) unstable; urgency=low

  * Added Indonesian translation (Closes: #608557)
  * Added alsa-utils to sl-modem-daemon Depends (LP: #706236)
  * Added ioctl.diff patch (from Gentoo) to fix compilation of slamr module
    with kernel 2.6.36 and later (Closes: #613906) (LP: #737650)
  * Added semaphore.diff patch to fix compilation of slusb module with kernel
    2.6.37
  * Remove leading ./ from lintian override

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Sat, 19 Mar 2011 17:02:27 +0200

sl-modem (2.9.11~20100718-3) unstable; urgency=low

  * Add /usr/sbin:/sbin to PATH before calling execstack (Closes: #608367)

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Thu, 30 Dec 2010 17:50:05 +0200

sl-modem (2.9.11~20100718-2) unstable; urgency=low

  * debian/sl-modem-daemon.init: Run 'aplay -l' with LC_ALL=C to fix modem
    detection with non-English locales (Closes: #594775) (LP: #626231), patch
    submitted by: Milan Bouchet-Valat <nalimilan@club.fr>
  * debian/control: Bumped Standards-Version to 3.9.1, no changes needed.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Sun, 29 Aug 2010 23:59:01 +0200

sl-modem (2.9.11~20100718-1) unstable; urgency=low

  * New upstream release.
  * debian/watch: Fixed mangling to get a proper orig tarball
  * Removed 2.6.33.diff patch as it got applied upstream.
  * debian/copyright: Replaced empty lines in license text with ' .'

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Mon, 19 Jul 2010 10:24:18 +0300

sl-modem (2.9.11~20100303-5) unstable; urgency=low

  * debian/sl-modem-daemon.bug-*: Added reportbug customization and script
    files.
  * debian/rules: put sequence to run before any option (for
    compatibility with debhelper v8)
  * Update Danish translation (Closes: #586239)
  * debian/source_sl-modem.py: Enhance apport hook
    + Add output of: ls -l /dev/ttySL* /dev/pts/* /dev/slamr* /dev/slusb
    + Interacts with user to specify the problem.
    + Check for ALSA mode if problem is with fax.
    + Ask to test with WvDial if problem is with dialup, also attach wvdial
      conf file (if it exists).
  * debian/control:
    + Bumped Standards-Version to 3.9.0
    + sl-modem-source (<< 2.9.11~20080817) moved from Conflicts to Breaks

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Sat, 10 Jul 2010 14:22:38 +0300

sl-modem (2.9.11~20100303-4) unstable; urgency=low

  * Updated to ungrab-winmodem 20090716 from upstream. Credits to
    Harald Jenny <harald@a-little-linux-box.at> for the heads up.
  * Added patch 2.6.33.diff, to use path of utsrelease.h for linux
    kernels >= 2.6.33 Credits to Harald Jenny
    <harald@a-little-linux-box.at> for the heads up
  * debian/source_sl-modem.py, debian/sl-modem-daemon.install: Added an apport
    hook.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Tue, 15 Jun 2010 10:28:35 +0300

sl-modem (2.9.11~20100303-3) unstable; urgency=low

  * debian/control, debian/copyright: Updated my email address
  * Update Spanish translations (Closes: #577050)
  * sl-modem-daemon.postinst: Remove /etc/modprobe.d/sl-modem-daemon.modutils
    on upgrade/install (Closes: #579825).

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Sat, 08 May 2010 19:26:20 +0300

sl-modem (2.9.11~20100303-2) unstable; urgency=low

  * debian/control:
    + Really remove quilt from sl-modem-source's Depends
    + Add execstack to Build-Deps
  * debian/rules: Mark slmodemd as not requiring executable stack
    (LP: #537650)

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Tue, 16 Mar 2010 22:44:51 +0200

sl-modem (2.9.11~20100303-1) unstable; urgency=low

  * New upstream release.
    + Fixes NO CARRIER issue with linux kernel >= 2.6.31
  * Dropped 2.6.31.diff patch, as it got applied upstream.
  * Refreshed debian/sl-modem-source.lintian-overrides
  * debian/control: Added DM-Upload-Allowed field.
  * Only include modem/modem_defs.h in sl-modem-source
  * debian/rules: add -s switch to dh to correctly build on amd64 archs.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sun, 14 Mar 2010 13:03:39 +0200

sl-modem (2.9.11~20090222-3) unstable; urgency=low

  [ Rolf Leggewie ]
  * debian/control:
    - add myself to Uploaders
    - update description for sl-modem-daemon package. (LP: #109620)
    - request the package to be autobuilt (adjust debian/copyright accordingly)
    - drop kernel-package from Recommends, we use dkms
    - move linux-headers from Recommends to Depends and make more robust
    - stop to provide sl-modem-modules-new which has been unused for years now
  * debian/patches: add autoload.diff patch from Ubuntu
    (Ubuntu should be able to go back to sync mode now)

  [ أحمد المحمودي (Ahmed El-Mahmoudy) ]
  * debian/control:
    - sl-modem-source conflicts with sl-modem-daemon version 2.9.11~20080817
      and earlier (LP: #520890)
    - Bump Standards-Version to 3.8.4
  * debian/sl-modem-daemon.init: Fix error message when slamr is not found
    (LP: #42991)
  * debian/sl-modem-source.postinst: use DKMS-provided logic instead of
    maintaining our own (LP: #497149)

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sun, 14 Feb 2010 21:27:04 +0200

sl-modem (2.9.11~20090222-2) unstable; urgency=low

  * Switch to 3.0 (quilt) source format.
  * Removed debian/sl-modem-daemon.dirs
  * Added debian/sl-modem-daemon.preinst to remove obsolete
    sl-modem-daemon.modutils conf file. (from Ubuntu although for a different
    purpose)
  * Added debian/sl-modem-daemon.lintian-overrides
  * Install sl-modem.conf using dh_installmodules
  * debian/dkms.conf.in: Use 'cd' instead of popd & pushd
  * debian/control:
    + s/Alsa/ALSA in extended description.
    + Bumped Standards-Version to 3.8.3
  * Added 2.6.31.diff patch to fix FTBFS with kernels >= 2.6.31
    (Closes: #563823)
  * debian/sl-modem-daemon.init:
    + Added $remote_fs to Required-Start & Required-Stop
    + Added sl-modem-daemon to Provides
  * debian/NEWS: Use regular paragraphs rather than asterisks.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sat, 09 Jan 2010 20:18:53 +0200

sl-modem (2.9.11~20090222-1) unstable; urgency=low

  * New upstream release.
  * Refreshed patch: 01_Makefile.diff
  * Removed patches that were merged upstream: 02_dial_string_size.diff,
    03_Makefile_2.6.12.4.diff, 05_st7554_license.diff, README.diff,
    06_slmodem-class-simple-to-class-meins.diff, kernel-ver.diff,
    fortify_source.diff, class_device.diff
  * Remove support for module-assistant
    + debian/rules:
      - Remove binary-modules, kdist_clean & kdist_config targets and the
        variables/includes associated with them (including AGE, k & SUBLEVEL
        variables).
      - Remove lines that create/install /usr/src/sl-modem.tar.bz2 from
        install target.
    + debian/control for sl-modem-source target:
      - Remove module-assistant, debhelper, bzip2, quilt from Depends field.
      - Remove mention of module-assistant from extended description.
      - Added: Provides: sl-modem-modules, sl-modem-modules-new
    + sl-modem-daemon.README.Debian: Remove mention of module-assistant.
    + debian/README.Debian:
      - Removed mention of module-assistant & make-kpkg.
      - Rephrased the paragraph about manual building of modules.
    + Merge sl-modem-modules-_KVERS_.postinst.modules.in into
      sl-modem-source.postinst:
      - Use invoke-rc.d instead of directly running sl-modem-daemon init
        script.
      - Remove sl-modem-modules-_KVERS_.postinst.modules.in
      - Removed code that creates slamr and slusb devices.
      - Renamed daemon-stop function to daemon_stop to remove bashism.
    + Remove sl-modem-source.dirs
  * Removed debian/hotplug
  * debian/rules: simplified rules file
  * Removed debian/control.modules.in
  * Updated Japanese translation (Closes: #518603).
  * Rename sl-modem-daemon.modutils to sl-modem.conf (Closes: #519672).
  * debian/copyright: converted to machine readable format.
  * Merge changes from Ubuntu:
    + debian/patches/autoload.diff: Patch drivers to export the right aliases
      for auto-load on open.
    + Hence remove alias lines from sl-modem.conf.
  * debian/control:
    + Added Vcs-* fields.
    + Bump Standards-Version to 3.8.2, no changes needed
    + Build-Depend on debhelper >= 7.0.50~ to support override targets.
    + Build-Depend on quilt >= 7.0.50~ to support dh --with quilt
  * debian/compat, debian/control: Upgraded to debhelper 7
  * debian/sl-modem.conf: add entries for slusb loading.
  * Added debian/sl-modem-source.lintian-overrides,
    debian/sl-modem-daemon.manpages and debian/NEWS

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sun, 19 Jul 2009 13:51:53 +0300

sl-modem (2.9.11~20080817-4) unstable; urgency=low

  * Added libc6-dev to sl-modem-source's Depends: field.
  * debian/patches/*.diff: add contributor info.
  * debian/sl-modem-daemon.init (change from Ubuntu): Also check for modems
    which are subdevices, and thus only expose themselves in "aplay -l", not
    in /proc/asound/cards. Thanks to Peteris Krisjanis for the patch! (Closes:
    #517055).
  * Added 12_ulimit_warn.diff from Corey Hickey, that checks the current limit
    and makes slmodemd warn & die if the limit is judged to be too low (< 8
    MB). (Closes: #511996)
  * Added 13_slusb.diff patch to enable support for slusb module.
  * debian/dkms.conf.in:
    + Added USB=1 in make[0] field to enable compilation of slusb module.
    + Added fields for slusb module.
  * debian/sl-modem-daemon.config: use set -e instead of passing -e to the
    shell on the #! line.
  * Provide pm-utils hook script to restart slmodem daemon on resume:
    + Added debian/15sl-modem-daemon
    + debian/rules: install debian/15sl-modem-daemon in
      /usr/lib/pm-utils/sleep.d
    Based on patches submitted by: Julien Valroff <julien@kirya.net>, "Tim
    Dijkstra \(tdykstra\)" <tim@famdijkstra.org> (Closes: #411851).

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Thu,  5 Mar 2009 19:22:44 +0200

sl-modem (2.9.11~20080817-3) unstable; urgency=low

  * debian/sl-modem-daemon.postinst: moved line to add Slmodemd user to be
    before lines that install directories for that user. (Closes: #514699)

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sun,  8 Feb 2009 19:22:44 +0200

sl-modem (2.9.11~20080817-2) unstable; urgency=low

  * Modified home dir of Slmodemd to /var/log/slmodemd. (Closes: #507340)
  * Added support for DKMS:
    + debian/control: added dkms to sl-modem-source's Recommends field.
    + debian/control: updated long description for sl-modem-source.
    + Added debian/dkms.conf.in.
    + debian/rules: copy dkms.conf.in to
      debian/sl-modem-source/usr/src/modules/sl-modem/dkms.conf
    + Added sl-modem-source.prerm and sl-modem-source.postinst
  * debian/postinst: create /var/lib/slmodem with proper permissions. (Closes:
    #421867)
  * debian/prerm: remove /var/lib/slmodem on uninstall.
  * debian/control:
    + Add ${misc:Depends} to Depends field for sl-modem-daemon and
      sl-modem-source.
    + Add quilt to sl-modem-source's Depends field. (Closes: #512332)
    + Added Homepage field.
  * Added descriptions to patch files.
  * Remove 04_sregs_init.diff patch as it turned to be obsoleted since
    2.9.9e-pre1a.
  * Added set -e to maintainer scripts.
  * sl-modem-daemon.templates: changed the extended description.
  * Translation updates: Arabic, Basque, Russian, Swedish, Italian, Czech,
    German, Portuguese, French, Spanish (Closes: #513326, #513378, #513603,
    #513333, #513704, #513713, #513966, #514280, #514355).
  * Added translations: Vietnamese, Slovak (Closes: #513802, #514387).

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sun,  7 Feb 2009 19:22:44 +0200

sl-modem (2.9.11~20080817-1) unstable; urgency=medium

  * New upstream release. (Closes: #354908, #489289, #457637, LP: #144090, #269855)
  * Adopting sl-modem. (Closes: #471888)
  * Removed the following patches since they are applied upstream:
    + patch to define URB_ASYNC_UNLINK if not set
    + patch that adds alternative MODULE_PARM function (module_param)
    + patch removing the inclusion of config.h
    + patch making a biarch build with lib32 package versions
    + patches fixing buils with kernel versions 2.6.16, 2.6.18 and 2.6.26
  * Remove cmd.patch and pcireg.patch as they are applied upstream.
  * Used quilt patch system.
    + Moved slmodem-class-simple-to-class-meins.diff to debian/patches/
    + 01_Makefile.diff: Makefile cleanup to not loose the user-specified
      kernel version string.
    + modem_group.diff: set the default device group to "dialout".
    + 02_dial_string_size.diff: enlarge dial string buffer to 128 bytes
    + 03_Makefile_2.6.12.4.diff: workaround in drivers/Makefile for a kernel
      2.4 check accidentialy matching 2.6.12.4.
    + 04_sregs_init.diff
    + 05_st7554_license.diff: changed the MODULE_LICENSE string to
      "Dual BSD/GPL" since the license is actually a BSD license clone.
    + 06_slmodem-class-simple-to-class-meins.diff: patch for
      class/simple_class transition.
    + 08_ungrab_winmodem.diff: helper module to tell the kernel to keep away
      from unsupported PCI id numbers.
    + 10_drop_privileges.diff: slmodemd privilege dropping patch.
    + 11_logfile.diff: place debug log in /var/log/slmodem.log.
    + kernel-ver.diff: workaround for pre-2.6.18 kernels.
    + README.diff: Dropped the TROUBLESHOOTING section from README and adapted
      the feedback section, mentioned the transfer of the modem business to
      Conexant.
    + debug_level.diff: debug log file is not for end users. Users shall use
      -l <number>.
  * Added fortify_source.diff patch to fix FTBFS with -D_FORTIFY_SOURCE=2
    compile flag.
  * Synch'ed ungrab-winmodem.c from
    http://linmodems.technion.ac.il/packages/smartlink/ungrab-winmodem-20080126.tar.gz.
  * Remove debian/control.backup* as I don't see any use for them.
  * Update Standards-Version to 3.8.0.
  * Added watch file.
  * debian/rules: slusb support ends at 2.6.24, hence add a check for kernel
    sublevel, to prevent the attempt to install non-existing slusb.ko. Thanks
    to Maurizio Avogadro for the suggestion.
  * Translation updates: Swedish, German, Basque, French, Italian, Czech,
    Portuguese, Finnish, Japanese and Russian (Closes: #501038, #501043,
    #501065, #501102, #501108, #501213, #501225, #501701, #501632, #501593).
  * New translation: Arabic (Closes: #501196).
  * debian/control: Added Maurizio Avogadro to Uploaders field.
  * debian/sl-modem-daemon.init: changes from Ubuntu
    + sl-modem-daemon initscript waits for aplay (from alsa-utils) to report
      the card, as it appears in /proc/asound/cards before it is actually
      available to slmodemd. This extra check defeats this race.
    + Remove hard and soft ulimits for locked-in-core memory. This daemon
      unfortunately needs quite a bit of memory and it needs to be in core
      because it's doing the real-time modem DSP. This deals with LP: #144468
      and probably other bugs too.

  [Maurizio Avogadro]
  * debian/rules: removed code to append extra lines to modprobe.d file, since
    they are statically appended in debian/sl-modem-daemon.modutils.
  * The init script can now modprobe even if the slamr module has been
    blacklisted.
  * Modified 11_logfile.diff: Fixed the log path as the slmodemd daemon runs
    as unprivileged user and didn't have write permissions on /var/log.
  * Added class_device.diff patch: since 2.6.25 class_device_add() and
    class_device_destroy() has been renamed, modified st7554.c accordingly.
  * Removed obsolete /etc/modutils file.
  * Small enhancements to the modprobe.d file:
    + verify device permissions on module install
    + modprobe cleans /dev on module remove
  * Added some troubleshooting info to README.Debian.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sat, 10 Oct 2008 17:32:22 +0200

sl-modem (2.9.9d+e-pre2-12) unstable; urgency=medium

  * Orphaning package
  * Fixed build on recent kernels, patch from Benh (closes: #475205)
  * Calling depmod in postinst of the module package (closes: #465544)
  * New translation: Spanish (closes: #498034)
  * Translation update: Swedish (closes: #488182)

 -- Eduard Bloch <blade@debian.org>  Sun, 07 Sep 2008 23:00:06 +0200

sl-modem (2.9.9d+e-pre2-11.1) unstable; urgency=low

  * Non-maintainer upload to fix pending l10n issues.
  * Debconf translations:
    - Portuguese. Closes: #435298
    - Galician. Closes: #481803
    - Russian. Closes: #482080
    - Basque. Closes: #482340
    - Czech. Closes: #482434
    - Finnish. Closes: #482437
  * [Lintian] Run debconf-updatepo in the clean target
  * [Lintian] No longer ignore erros from "make clean"

 -- Christian Perrier <bubulle@debian.org>  Sat, 17 May 2008 14:47:32 +0200

sl-modem (2.9.9d+e-pre2-11) unstable; urgency=high

  * Working around broken "grep -v" return code in the init script (bug#454690)
  * changed gcc-4.1-multilib build-dep on amd64 to gcc-multilib

 -- Eduard Bloch <blade@debian.org>  Thu, 13 Dec 2007 22:28:12 +0100

sl-modem (2.9.9d+e-pre2-10) unstable; urgency=low

  * Merge with 2.9.9d+e-pre2-7etch2 (closes: #411395, #412120)
  * explicite Build-Dep on gcc-4.1-multilib [amd64]
  * Installing slmodemd(8) manpage into sl-modem-daemon and conflicting with
    previous versions of sl-modem-source (closes: #420796)
  * removing sl-modem-daemon.rules after a checksum check. They are not used
    anymore by the Debian package's source after sysfs/udev features have been
    disabled. Send thanks to GPL symbol "protection" lovers (closes: #418919)
  * slmodemd privilege dropping patch (Ian Jackson, Ubuntu, closes: #415569),
    also added adduser to dependencies
  * suppressing modprobe messages caused by expected failures while probing
    driver availability and a better info message on amd64.

 -- Eduard Bloch <blade@debian.org>  Tue, 01 May 2007 12:00:06 +0200

sl-modem (2.9.9d+e-pre2-9) unstable; urgency=low

  * amd64 support, making a biarch build with lib32 package versions
    (closes: #395196)

 -- Eduard Bloch <blade@debian.org>  Tue, 13 Feb 2007 01:06:39 +0100

sl-modem (2.9.9d+e-pre2-8) unstable; urgency=medium

  * removed the inclusion of config.h, deprecated and not available in kernel
    2.6.19 (closes: #402488)
  * updated of the French translation (closes: #401283) and Japanese
    translation (closes: #400749)
  * workaround for kernel-ver with pre-2.6.18 kernels (closes: #397406)
  * using the name sl-modem-daemon in init script help (closes: #348976)
  * Dropped the TROUBLESHOOTING section from README (the FAQ has not been
    available anyway) and adapted the feedback section, mentioned the transfer
    of the modem business to Conexant (closes: #321515)
  * debug log file is not for end users. Users shall use -l <number>.
    Dumping relevant data to debug log is OK, creating this in the local dir
    is also OK. Made that clear in the help message.
    (closes: #402705, #335370, #402704)
  * added LSB info to init script
  * not including 2.9.9d+e-pre2-7etch* changes

 -- Eduard Bloch <blade@debian.org>  Mon, 11 Dec 2006 20:15:50 +0100

sl-modem (2.9.9d+e-pre2-7etch2) testing-proposed-updates; urgency=low

  * Updated fr.po and jp.po taken from version 2.9.9d+e-pre2-8

 -- Eduard Bloch <blade@debian.org>  Tue,  6 Mar 2007 23:12:49 +0100

sl-modem (2.9.9d+e-pre2-7etch1) testing-proposed-updates; urgency=low

  * t-p-u upload only
  * de.po updates by Helge Kreutzmann
  * it.po (NEW) bei Luca Monducci

 -- Eduard Bloch <blade@debian.org>  Mon,  5 Mar 2007 23:27:16 +0100

sl-modem (2.9.9d+e-pre2-7) unstable; urgency=low

  * Fixes to build with kernel 2.6.18 (USB removal, closes: 390308)
  * cs.po update (Miroslav Jezbera, closes: #389257)
  * templates fixes, making country list translateable (closes: #377820)

 -- Eduard Bloch <blade@debian.org>  Fri, 13 Oct 2006 19:06:44 +0200

sl-modem (2.9.9d+e-pre2-6) unstable; urgency=low

  * alternative MODULE_PARM function (module_param) used on 2.6.x kernels
    (closes: #377561)
  * removed executable bits from the udev rules file
  * set a proper debconf dialog title, the old contents should actually be in
    the text, updated de.po and half-updated those translation where basic
    syntax was understandable

 -- Eduard Bloch <blade@debian.org>  Mon, 10 Jul 2006 12:24:25 +0200

sl-modem (2.9.9d+e-pre2-5) unstable; urgency=low

  * Fix for module compilation with 2.6.16, condition around line
    drivers/st7554.c:1160 (closes: #358267)

 -- Eduard Bloch <blade@debian.org>  Sun, 16 Apr 2006 08:23:47 +0200

sl-modem (2.9.9d+e-pre2-4) unstable; urgency=medium

  * replaced amrmo_init.c with the version from
    http://linmodems.technion.ac.il/packages/smartlink/slmodem-2.9.11-20051101.tar.gz
    which has basically the superset of our changes (plus two additional modem
    IDs) but zeroes out the class* method calls since they are "protected" by
    GPL-enforcing kernel macros now (closes: #354216)
  * the above change effectively disables the udev functionality. Send your
    complaints to kernel developers if you need it. Or suggest a better
    solution. For now, a oneliner in /etc/modprobe.d/sl-modem-daemon.modutils
    creates /dev/slamr0.
  * workaround to fix device files that got the wrong owner (660 instead of
    root) during the major number transition in July 2005

 -- Eduard Bloch <blade@debian.org>  Sat, 25 Feb 2006 19:45:42 +0100

sl-modem (2.9.9d+e-pre2-3) unstable; urgency=medium

  * changed NAME setting for slusb in udev rules
  * fixed slamr class_device_create call (closes: #349305), thanks to
    Gasper Zejn et al.

 -- Eduard Bloch <blade@debian.org>  Tue, 07 Feb 2006 15:44:02 +0100

sl-modem (2.9.9d+e-pre2-2) unstable; urgency=low

  * added helper module from
    http://phep2.technion.ac.il/linmodems/packages/smartlink/ungrab-winmodem.tar.gz
    to tell the kernel to keep away from unsupported PCI id numbers, installed
    with slamr and pre-installed via modprobe.d script

 -- Eduard Bloch <blade@debian.org>  Sun, 15 Jan 2006 17:48:36 +0100

sl-modem (2.9.9d+e-pre2-1) unstable; urgency=low

  * New upstream pre-release (closes: #327588)
  * added sv.po from Daniel Nylander (closes: #330436)
  * slmodemd.1 manpage from Erik Schanze (closes: #335369)
  * defining URB_ASYNC_UNLINK if not set, needed by recent kernels
  * applied patch for class/simple_class transition from Gentoo lists with
    some fixes (closes: #325799)
  * changed the MODULE_LICENSE string to "Dual BSD/GPL" since the license
    is actually a BSD license clone (closes: #327545)
  * not including the old hotplug script, merged its code into the init script
    and added an udev rules file to run it. Needs real testing with a
    Smartlink USB modem which I do not have (closes: #338740)
  * disabled the "PCI device grabbing warning" code which caused
    OOpses on 2.6.15

 -- Eduard Bloch <blade@debian.org>  Sun, 15 Jan 2006 14:49:45 +0100

sl-modem (2.9.9d-7) unstable; urgency=low

  * added alternative debconf-2.0 dependency
  * http://dev.gentoo.org/~genstef/files/slmodem-class-simple-to-class.diff
    added with few modifications though does not solve #325799 yet
  * added patch http://linmodems.technion.ac.il/archive-fifth/msg02217.html
    which AFAICS basically ignores the PCI ID collision caused by the kernel
    source bugs #303844 and #322028 (closes: #321061). Should be fixed in the
    kernel, though.

 -- Eduard Bloch <blade@debian.org>  Mon, 26 Sep 2005 23:59:25 +0200

sl-modem (2.9.9d-6) unstable; urgency=low

  * applied gcc-4.0 fixes from Sasha Khapyorsky, dropped gcc-3.4 workarounds

 -- Eduard Bloch <blade@debian.org>  Mon, 15 Aug 2005 17:11:40 +0200

sl-modem (2.9.9d-5) unstable; urgency=low

  * workaround in drivers/Makefile for a kernel 2.4 check accidentialy
    matching 2.6.12.4 (closes: #322223)

 -- Eduard Bloch <blade@debian.org>  Sat,  6 Aug 2005 20:38:12 +0200

sl-modem (2.9.9d-4) unstable; urgency=low

  * the "Lesson I: never trust ALSA's procfs entries" release
  * no longer relies on /proc/asound/[Mm]odem link, instead parses
    /proc/asound/cards
  * rewrote parts of the init script to put all recent extensions into a
    proper control flow
  * fixed a bashism in debian/sl-modem-daemon.postinst

 -- Eduard Bloch <blade@debian.org>  Sat,  6 Aug 2005 17:01:07 +0200

sl-modem (2.9.9d-3) unstable; urgency=medium

  * extended modprobe calls in the init script to try non-Intel drivers for
    mainboard chipsets (closes: #320620)
  * fixed a bashism in the init script
  * removed the hard kernel-image-* dependency from the modules contol
    file (closes: #321570)

 -- Eduard Bloch <blade@debian.org>  Sat, 06 Aug 2005 15:23:13 +0200

sl-modem (2.9.9d-2) unstable; urgency=low

  * changed the ALSA device name from hw: to modem: because weird device
    driver using additional filters applied only then (closes: #320190).
    In addition, set the build dependency on a recent libasound2 version to
    enforce the upgrade.

 -- Eduard Bloch <blade@debian.org>  Thu, 28 Jul 2005 12:15:58 +0200

sl-modem (2.9.9d-1) unstable; urgency=low

  * New upstream release
    + moves the device major numbers to the 24x range (closes: #264359)
  * replaced the mkdev hacks in init script etc. with only one in the postinst
    of modules that also fixes the major numbers of the device files. Also
    make sure they don't make the script fail on insane /dev filesystems
    (udev, closes: #297666)
  * init script patch from Stephen Gildea <gildea@stop.mail-abuse.org> to
    improve the start/stop behaviour and ALSA detection (closes: #312884)
  * removed the dependency on recent modules or kernel. There are too many
    ways to make the daemon work and a modern kernel (2.6.12) provides enough
    support to make it work without special cludges using the packaging
    system (closes: #319604)
  * added bzip2 to dependencies (closes: #312152)
  * Japanese translation by Hideki Yamane <henrich@samba.gr.jp>(closes: #281074)
  * defaulting to gcc-3.3 for the daemon unless someone fixes the few errors
  * various lintian fixes, removing the init script in postrm now (arrrg)

 -- Eduard Bloch <blade@debian.org>  Thu, 28 Jul 2005 09:50:21 +0200

sl-modem (2.9.9a-1) unstable; urgency=medium

  * New upstream release (linmodems fork with patches for kernel 2.6.10,
    closes: #288362)
  * modules postinst script now sleeps one second after stoppind the daemon
    (to give the driver time to shutdown sth. or so, closes: #258821)

 -- Eduard Bloch <blade@debian.org>  Wed,  2 Feb 2005 20:44:59 +0100

sl-modem (2.9.9-2) unstable; urgency=medium

  * Fix override disparity
  * TODO! fixen restart teilchen da

 -- Eduard Bloch <blade@debian.org>  Mon,  6 Sep 2004 18:18:39 +0200

sl-modem (2.9.9-1) unstable; urgency=medium

  * New upstream release
    + sysfs support (closes: #240710)
    + may solve Bug#260474
  * Upstream patch to fix get the ALSA device name correctly (closes: #268952)

 -- Eduard Bloch <blade@debian.org>  Mon, 06 Sep 2004 18:17:31 +0200

sl-modem (2.9.8-2) unstable; urgency=high

  * Added cs.po from Miroslav Jezbera (closes: #260359)
  * Changes by karlheg@pdx.edu:
    - Patch modem/modem.h to enlarge dial string buffer to 128 bytes. Some
      dial strings that include calling card numbers can be longer than the
      previously allowed 32 characters, causing them to be truncated.
    - Add libasound2-dev to Build-Depends in debian/control

 -- Eduard Bloch <blade@debian.org>  Mon, 23 Aug 2004 11:38:13 +0200

sl-modem (2.9.8-1) unstable; urgency=low

  * New upstream release (closes: #255714)
  * postinst hook to reload modules, a phantom modprobe freeze appeared
    otherwise

 -- Eduard Bloch <blade@debian.org>  Mon, 28 Jun 2004 23:41:55 +0200

sl-modem (2.9.7-2) unstable; urgency=low

  * source package depends on debhelper (closes: #251608)
  * loads the ALSA module with the correct name (closes: #252623)
  * fallback to the command "modprobe" if the module auto-loading is disabled
    in the kernel
  * more explite package descriptions, explaining the relationship between
    the daemon and low-level drivers

 -- Eduard Bloch <blade@debian.org>  Fri, 21 May 2004 15:39:13 +0200

sl-modem (2.9.7-1) unstable; urgency=low

  * New upstream release (closes: #249810)
  * modified the init script to be more smart on autodetection. The existance
    of the ALSA driver is checked not only by looking at modules now
    (closes: #246950)
  * added dependency on kernel-image-2.6 in the hope that people will install
    a recent kernel (since versioned Provides: are not possible) as
    alternative to the source package or installed modules (closes: #247476)

 -- Eduard Bloch <blade@debian.org>  Fri, 21 May 2004 13:38:10 +0200

sl-modem (2.9.6-5) unstable; urgency=medium

  * moved sl-modem-source back to non-free (overlooked one object file, sorry)
  * changed the /dev/modem device symlink to /dev/ttySL0 in the init script
    (closes: #243614)
  * ALSA support, enabled with : in SLMODEMD_DEVICE (closes: #240305)
  * README.Debian improvements: ALSA mode documentation, explicit note why
    sl-modem is non-free (closes: Bug#242241)
  * (fixed in -4): using , as RegExp delimiter when setting the country
    value (closes: #241210)
  * first experimental hotplug agent for one USB modem

 -- Eduard Bloch <blade@debian.org>  Wed, 14 Apr 2004 10:23:41 +0200

sl-modem (2.9.6-4) unstable; urgency=medium

  * the driver source contents were not included in the previos version
    because of wrong tar options
  * Danish template translation by Morten Brix Pedersen <morten@wtf.dk>
    (closes: #241040)
  * added [ ] in the modules postinst (this is not Perl ;-)

 -- Eduard Bloch <blade@debian.org>  Mon, 29 Mar 2004 01:10:06 +0200

sl-modem (2.9.6-3) unstable; urgency=low

  * relaxed read permissions in the tarball
  * restarting sl-modem-daemon after modules installation
  * extra check for beeing not reconfigured in the config script to not
    overwrite the selection on initial installation (closes: #239692)
  * french debconf translation by Jean-Luc Coulon (closes: #238745)

 -- Eduard Bloch <blade@debian.org>  Sun, 29 Feb 2004 21:03:54 +0100

sl-modem (2.9.6-2) unstable; urgency=low

  * finally droped the old 2.7.10 source, removed all crappy workarounds
  * debconf integration to select the country
  * changed the virtual dependency to make sure that people get the new source
    on upgrade and do not keep old driver versions installed
  * corrected the /dev/ path of SLMODEMD_DEVICE
  * set the default device group to "dialout" (Closes: #235455)
  * fixed typos in the init script (Closes: #235454)
  * moved section to "non-free/net" (it is a modem driver, after all), and
    "contrib/net" for modules (-source) packages (the kernel part is free
    software)

 -- Eduard Bloch <blade@debian.org>  Sat, 28 Feb 2004 13:16:31 +0100

sl-modem (2.9.6-1) unstable; urgency=low

  * New upstream release (closes: #234010 and clarifies issues brought up by
    license nit-pickers)
  * Installs the .ko files on linux 2.6.x (closes: #231204)
  * Hiding unhelpfull error messages - if they appear, the command was
    deliberate (closes: #232102)
  * corrected README.Debian to mention .bz2 instead of .gz (closes: #233231)
  * better README.Debian for the -daemon package (closes:  #233242)
  * finaly merged upstream suggested init script with my old version, now
    including /etc/defaults/slmodemd along with /etc/defaults/sl-modem-daemon
    (closes: #230200, #233244)

 -- Eduard Bloch <blade@debian.org>  Sat, 28 Feb 2004 10:12:17 +0100

sl-modem (2.9.5-1) unstable; urgency=low

  * New upstream release
  * Providing "slmodem" from the source package. Not the perfect solution but
    a working one, helping users that look for wrong keywords (closes: #228416)
  * debian/rules and Makefile cleanup to not loose the user-specified kernel
    version string and blindly try include modversions.h (solves #228841 as-is
    but shows the missing support for kernel 2.6.0 in the old driver branch)

 -- Eduard Bloch <blade@debian.org>  Wed, 21 Jan 2004 14:26:01 +0100

sl-modem (2.9.4-1) unstable; urgency=low

  * New upstream release
  * Fixed installation order and paths, thanks to Dorneles Treméa
    <dorneles@x3ng.com.br>; also review and fixes of the county.dat
    installation hook and the module postinst hook, separating for different
    driver branches (closes: #218619, #218005)
  * Help request: I do not have hardware to test the drivers from the new
    branch. Your chance to become comaintainer if you have hardware supported
    by the new driver branch.
  * init script improvements, proper default file

 -- Eduard Bloch <blade@debian.org>  Fri,  9 Jan 2004 14:26:02 +0100

sl-modem (2.9.1-1) unstable; urgency=low

  * new upstream release
  * new package: sl-modem-daemon
  * 2.7.10 version included in the Debian diff

 -- Eduard Bloch <blade@debian.org>  Sat,  4 Oct 2003 18:43:00 +0200

sl-modem (2.7.14+2.7.10-4) unstable; urgency=low

  * adaptation to module-assistant
  * purged useless objects from 2.7.10 source

 -- Eduard Bloch <blade@debian.org>  Sun,  7 Sep 2003 03:47:18 +0200

sl-modem (2.7.14+2.7.10-3) unstable; urgency=low

  * Doing extra clean in 2.7.10 before using it; otherwise, it won't be
    cleaned later

 -- Eduard Bloch <blade@debian.org>  Sat,  6 Sep 2003 16:01:09 +0200

sl-modem (2.7.14+2.7.10-2) unstable; urgency=low

  * binary/rules wrapper was a very bad idea; replaced it with the script
    symlinks the best source files into the build directory
  * sorted source files in the correct directories

 -- Eduard Bloch <blade@debian.org>  Sat,  6 Sep 2003 02:54:30 +0200

sl-modem (2.7.14+2.7.10-1) unstable; urgency=low

  * Merged version 2.7.10 into the package and implemented the selection of
    the right source using the PCI Id table from linmodems.org people
    (Closes: #197693)

 -- Eduard Bloch <blade@debian.org>  Sun, 31 Aug 2003 23:13:37 +0200

sl-modem (2.7.14-1) unstable; urgency=low

  * New upstream release
  * Variable target path for generated packages, closes: #192449

 -- Eduard Bloch <blade@debian.org>  Mon,  9 Jun 2003 14:04:57 +0200

sl-modem (2.7.10-1) unstable; urgency=low

  * Initial Release, closes: #185032
  * Workaround with on-the-fly device node creation to work with devfs since
    the main object is closed-source and compiled without devfs support

 -- Eduard Bloch <blade@debian.org>  Sun, 21 Mar 2003 14:37:46 +0100
